	<div class="cqpim-project-box">
	
		<div class="title">
			
			<h3><?php _e('Project Files', 'cqpim'); ?></h3>
		
		</div>
		
		<div class="content">
		
			<?php
			
				$all_attached_files = get_attached_media( '', $post->ID );
				
				$args = array(
				
					'post_type' => 'cqpim_tasks',
					
					'posts_per_page' => -1,
					
					'meta_key' => 'project_id',
					
					'meta_value' => $post->ID
				
				);
				
				$tasks = get_posts($args);
				
				foreach($tasks as $task) {
				
					$args = array(
					
						'post_parent' => $task->ID,
						
						'post_type' => 'attachment',
						
						'numberposts' => -1
					
					);
					
					$children = get_children($args);
					
					foreach($children as $child) {
					
						$all_attached_files[] = $child;
						
					}
				
				}
				
				if(!$all_attached_files) {
				
					echo '<p style="padding:20px">' . __('There are no files uploaded to this project.', 'cqpim') . '</p>';
				
				} else {
				
					echo '<table class="milestones files"><thead><tr>';
					
					echo '<th>' . __('File Name', 'cqpim') . '</th><th>' . __('Related Task', 'cqpim') . '</th><th>' . __('File Type', 'cqpim') . '</th><th>' . __('Uploaded', 'cqpim') . '</th><th>' . __('Uploaded By', 'cqpim') . '</th><th>' . __('Actions', 'cqpim') . '</th>';
					
					echo '</tr></thead><tbody>';
				
					foreach($all_attached_files as $file) {
					
						$file_object = get_post($file->ID);
						
						$url = get_the_permalink($file->ID);
						
						$parent = $file->post_parent;
						
						$parent_title = get_the_title($parent);
						
						$parent_title = str_replace('Protected: ', '', $parent_title);
						
						$parent_url = get_the_permalink($parent);
					
						$user = get_user_by( 'id', $file->post_author );
						
						echo '<tr>';
						
						echo '<td><span class="nodesktop"><strong>' . __('Title', 'cqpim') . '</strong>: </span> <a class="cqpim-link" href="' . $url . '">' . $file->post_title . '</a></td>';
						
						echo '<td><span class="nodesktop"><strong>' . __('Task', 'cqpim') . '</strong>: </span> <a class="cqpim-link" href="' . $parent_url . '">' . $parent_title . '</a></td>';
						
						echo '<td><span class="nodesktop"><strong>' . __('Type', 'cqpim') . '</strong>: </span> ' . $file->post_mime_type . '</td>';
						
						echo '<td><span class="nodesktop"><strong>' . __('Added', 'cqpim') . '</strong>: </span> ' . $file->post_date . '</td>';
						
						echo '<td><span class="nodesktop"><strong>' . __('Added By', 'cqpim') . '</strong>: </span> ' . $user->display_name . '</td>';
						
						echo '<td><a href="' . $file->guid . '" download="' . $file->post_title . '" class="download_file" value="' . $file->ID . '"><img title="Download File" src="' .  plugin_dir_url( __FILE__ ) . 'img/download.png' . '" /></a></td>';
						
						echo '</tr>';
					
					}
					
					echo '</tbody></table>';
				
				}
				
			?>
			
		
		</div>
		
	</div>