<?php
 
	 /**

	 * Define and add the metaboxes

	 */

	add_action( 'add_meta_boxes', 'add_quote_cpt_metaboxes' );

	function add_quote_cpt_metaboxes(){

		add_meta_box( 

			'quote_status', 

			__('Quote / Estimate Status', 'cqpim'),

			'quote_status_metabox_callback', 

			'cqpim_quote',

			'side',
			
			'high'

		);

		add_meta_box( 

			'quote_client', 

			__('Quote / Estimate Details', 'cqpim'), 

			'quote_client_metabox_callback', 

			'cqpim_quote',
			
			'side',
			
			'high'

		);
		
		add_meta_box( 

			'quote_details', 

			__('Quote / Estimate Header & Footer', 'cqpim'),

			'quote_details_metabox_callback', 

			'cqpim_quote',

			'normal',
			
			'low'

		);
		
		add_meta_box( 

			'quote_elements', 

			__('Milestones & Tasks', 'cqpim'),

			'quote_elements_metabox_callback', 

			'cqpim_quote',

			'normal'

		);
		
		add_meta_box( 

			'quote_summary', 

			__('Project Brief', 'cqpim'),

			'quote_summary_metabox_callback', 

			'cqpim_quote',

			'normal',
			
			'high'

		);
		
		if(!current_user_can('publish_cqpim_quotes')) {
		
			remove_meta_box( 'submitdiv', 'cqpim_quote', 'side' );
			
		}

	}

	require_once('quote_details.php');
	
	require_once('quote_summary.php');
	
	require_once('quote_header.php');
	
	require_once('quote_status.php');
	
	require_once('quote_milestones.php');
	