<?php
 
	 /**

	 * Define and add the metaboxes

	 */

	add_action( 'add_meta_boxes', 'add_support_cpt_metaboxes' );

	function add_support_cpt_metaboxes(){

		add_meta_box( 

			'support_details', 

			__('Ticket Details', 'cqpim'),

			'support_details_metabox_callback', 

			'cqpim_support',

			'side',
			
			'high'

		);
		
		add_meta_box( 

			'support_history', 

			__('Ticket Updates', 'cqpim'),

			'support_history_metabox_callback', 

			'cqpim_support',

			'normal',
			
			'low'

		);
		
		if(current_user_can('publish_cqpim_supports')) {
		
		add_meta_box( 

			'support_update', 

			__('Update Ticket', 'cqpim'),

			'support_update_metabox_callback', 

			'cqpim_support',

			'normal',
			
			'low'

		);
		
		}
		
		add_meta_box( 

			'support_files', 

			__('Uploaded Files', 'cqpim'),

			'support_files_metabox_callback', 

			'cqpim_support',

			'normal',
			
			'high'

		);
		
		if(!current_user_can('publish_cqpim_supports')) {
		
			remove_meta_box( 'submitdiv', 'cqpim_support', 'side' );
			
		}

	}

	require_once('ticket_files.php');
	
	require_once('ticket_details.php');
	
	require_once('ticket_updates.php');

	require_once('update_ticket.php');
