	<?php 
	
	$client_settings = get_option('allow_client_users');
	
	if($client_settings == 1) { ?>
			
		<p><?php _e('If you would like to give multiple users at your organisation access to your client dashboard, you can do so here.', 'cqpim'); ?></p>
		
		<?php 
		
		$client_contacts = get_post_meta($assigned, 'client_contacts', true);
		
		if(empty($client_contacts)) {
		
			echo '<p>' . __('You have not added any additional contacts', 'cqpim') . '</p>';
		
		} else {
		
			echo '<br />';
		
			foreach($client_contacts as $key => $contact) {
			
				$size = 100;
	
				$grav_url = "http://www.gravatar.com/avatar/" . md5( strtolower( trim( $contact['email'] ) ) ) . "&s=" . $size;
				
				echo '<div class="team_member">';
				
				echo '<div class="team_delete"><button style="margin-right:5px" class="edit-milestone" value="'. $key . '"><img title="Edit Contact" src="' . plugins_url() . '/cqpim/img/edit.png"></button><button class="delete_team" value="' . $key . '"><img title="Remove Client Contact" src="' . plugins_url() . '/cqpim/img/delete.png"></button><div id="ajax_spinner_team_' . $key . '" class="ajax_spinner" style="display:none"></div></div>';
				
				echo '<img style="float:left" src="' . $grav_url . '" />';
				
				echo '<div class="team_details">';
				
				echo '<strong>' . __('Name:', 'cqpim') . ' </strong>' . $contact['name'] . '<br />';
				
				echo '<strong>' . __('User ID:', 'cqpim') . ' </strong>' . $contact['user_id'] . '<br />';
				
				echo '<strong>' . __('Email:', 'cqpim') . ' </strong>' . $contact['email'] . '<br />';
				
				echo '<strong>' . __('Telephone:', 'cqpim') . ' </strong>' . $contact['telephone'] . '<br />';
				
				echo '</div>';
				
				echo '<div class="clear"></div>';
				
				echo '</div>';			
			
			}
			
			echo '<div class="clear"></div>';
			
			foreach($client_contacts as $key => $contact) { ?>
			
				<div id="contact_edit_container_<?php echo $key; ?>" style="display:none">
				
					<div id="contact_edit_<?php echo $key; ?>" class="contact_edit">
					
						<div style="padding:12px">
					
							<h3><?php _e('Edit Contact', 'cqpim'); ?> - <?php echo $contact['name']; ?></h3>
							
							<label for="contact_name_<?php echo $key; ?>"><?php _e('Contact Name', 'cqpim'); ?></label>
							
							<input type="text" id="contact_name_<?php echo $key; ?>" name="contact_name_<?php echo $key; ?>" value="<?php echo $contact['name']; ?>" />
							
							<br /><br />
							
							<label for="contact_email_<?php echo $key; ?>"><?php _e('Contact Email', 'cqpim'); ?></label>
							
							<input type="text" id="contact_email_<?php echo $key; ?>" name="contact_email_<?php echo $key; ?>" value="<?php echo $contact['email']; ?>" />
							
							<br /><br />
							
							<label for="contact_telephone_<?php echo $key; ?>"><?php _e('Contact Telephone', 'cqpim'); ?></label>
							
							<input type="text" id="contact_telephone_<?php echo $key; ?>" name="contact_telephone_<?php echo $key; ?>" value="<?php echo $contact['telephone']; ?>" />
							
							<br /><br />
							
							<h3><?php _e('Reset Password', 'cqpim'); ?></h3>
							
							<input class="pass" type="password" id="new_password_<?php echo $key; ?>" name="new_password_<?php echo $key; ?>" placeholder="<?php _e('Enter new password', 'cqpim'); ?>" />
							
							<br /><br />
							
							<input class="pass" type="password" id="confirm_password_<?php echo $key; ?>" name="confirm_password_<?php echo $key; ?>" placeholder="<?php _e('Confirm new password', 'cqpim'); ?>" />
							
							<br /><br />
							
							<input type="checkbox" id="send_new_password_<?php echo $key; ?>" name="send_new_password_<?php echo $key; ?>" value="1" /> <?php _e('Send the contact\'s new password by email', 'cqpim'); ?>
							
							<br /><br />
							
							<input class="pass" type="hidden" id="pass_type_<?php echo $key; ?>" name="pass_type_<?php echo $key; ?>" value="contact" />
							
							<div id="client_team_messages_<?php echo $key; ?>"></div>							
							
							<button class="cancel-colorbox"><?php _e('Cancel', 'cqpim'); ?></button>
										
							<button id="contact_edit_submit_<?php echo $key; ?>" class="metabox-add-button contact_edit_submit" value="<?php echo $key; ?>"><?php _e('Edit Contact', 'cqpim'); ?><span id="ajax_spinner_contact_<?php echo $key; ?>" class="ajax_loader" style="display:none"></span></button>
					
						</div>
					
					</div>
				
				</div>
			
			<?php
			
			}
			
		} 
	
	} if($client_settings == 1) { ?>
	
		<br /><br />
	
		<a id="add_client_team" class="cqpim-dash-button medium" value="<?php echo $client_user; ?>"><?php _e('Add Contact', 'cqpim'); ?></a>

	<?php } ?>
	
	<div class="clear"></div>
	
	<div id="add_client_team_ajax_container" style="display:none">
	
		<div id="add_client_team_ajax">
		
			<div style="padding:12px">
		
				<h3><?php _e('Add Contact', 'cqpim'); ?></h3>
				
				<p><?php _e('Adding a contact will create a new login and give the user access to the client dashboard.', 'cqpim'); ?></p>
				
				<label for="contact_name"><?php _e('Contact Name', 'cqpim'); ?></label>
				
				<input type="text" id="contact_name" name="contact_name" />
				
				<br /><br />
				
				<label for="contact_email"><?php _e('Contact Email', 'cqpim'); ?></label>
				
				<input type="text" id="contact_email" name="contact_email" />
				
				<br /><br />
				
				<label for="contact_telephone"><?php _e('Contact Telephone', 'cqpim'); ?></label>
				
				<input type="text" id="contact_telephone" name="contact_telephone" />
				
				<br /><br />
				
				<input type="checkbox" id="send_contact_details" name="send_contact_details" value="1" /> <?php _e('Send the contact login details by email', 'cqpim'); ?>
				
				<br /><br />
				
				<input type="hidden" id="post_ID" name="post_id" value="<?php echo $assigned; ?>" />
				
				<div id="client_team_messages"></div>
				
				<button class="cancel-colorbox"><?php _e('Cancel', 'cqpim'); ?></button>
							
				<button id="add_client_team_submit" class="metabox-add-button"><?php _e('Add Client Contact', 'cqpim'); ?><span id="ajax_spinner_add_contact" class="ajax_loader" style="display:none"></span></button>

			</div>
		
		</div>
	
	</div>